# ACE_FIFO_Recv Class Reference

Receiver side of the bytestream C++ wrapper for UNIX FIFOs. More...

`#include <FIFO_Recv.h>`

Inheritance diagram for ACE_FIFO_Recv:

[legend]
Collaboration diagram for ACE_FIFO_Recv:

[legend]
List of all members.

## Public Member Functions

| ACE_FIFO_Recv (void)
| Default constructor.
| ACE_FIFO_Recv (const ACE_TCHAR *rendezvous, int flags=O_CREAT|O_RDONLY, int perms=ACE_DEFAULT_FILE_PERMS, int persistent=1, LPSECURITY_ATTRIBUTES sa=0)
| Open up a bytestream named pipe for reading.
int | open (const ACE_TCHAR *rendezvous, int flags=O_CREAT|O_RDONLY, int perms=ACE_DEFAULT_FILE_PERMS, int persistent=1, LPSECURITY_ATTRIBUTES sa=0)
| Open up a bytestream named pipe for reading.
int | close (void)
| Close down the named pipe.
ssize_t | recv (void *buf, size_t len)
| Recv <buf> of up to <len> bytes.
ssize_t | recv_n (void *buf, size_t len)
| Recv <buf> of exactly <len> bytes (block until done).
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Private Attributes

ACE_HANDLE | aux_handle_
| Auxiliary handle that is used to implement persistent FIFOs.

## Detailed Description

Receiver side of the bytestream C++ wrapper for UNIX FIFOs.

## Constructor & Destructor Documentation

ACE_FIFO_Recv::ACE_FIFO_Recv | ( | void |  | ) |

| Default constructor.

ACE_FIFO_Recv::ACE_FIFO_Recv | ( | const ACE_TCHAR * | rendezvous,
|  | int | flags = `O_CREAT|O_RDONLY`,
|  | int | perms = `ACE_DEFAULT_FILE_PERMS`,
|  | int | persistent = `1`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| Open up a bytestream named pipe for reading.

## Member Function Documentation

int ACE_FIFO_Recv::close | ( | void |  | ) |

| Close down the named pipe. Reimplemented from ACE_FIFO.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL void ACE_FIFO_Recv::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_FIFO. Reimplemented in ACE_FIFO_Recv_Msg.

int ACE_FIFO_Recv::open | ( | const ACE_TCHAR * | rendezvous,
|  | int | flags = `O_CREAT|O_RDONLY`,
|  | int | perms = `ACE_DEFAULT_FILE_PERMS`,
|  | int | persistent = `1`,
|  | LPSECURITY_ATTRIBUTES | sa = `0`
| ) |

| Open up a bytestream named pipe for reading. Reimplemented in ACE_FIFO_Recv_Msg.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ssize_t ACE_FIFO_Recv::recv | ( | void * | buf,
|  | size_t | len
| ) |

| Recv <buf> of up to <len> bytes. Reimplemented in ACE_FIFO_Recv_Msg.

ACE_INLINE ssize_t ACE_FIFO_Recv::recv_n | ( | void * | buf,
|  | size_t | len
| ) |

| Recv <buf> of exactly <len> bytes (block until done).

## Member Data Documentation

ACE_FIFO_Recv::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_FIFO. Reimplemented in ACE_FIFO_Recv_Msg.

ACE_HANDLE ACE_FIFO_Recv::aux_handle_`[private]`

| Auxiliary handle that is used to implement persistent FIFOs.

The documentation for this class was generated from the following files:

- FIFO_Recv.h
- FIFO_Recv.cpp
- FIFO_Recv.inl